import { Status } from "../../DataFrame";
import { IDIService } from "../../IDIService";
import { FieldChangeResult } from "../FieldChangeResult";
import { IDeviceChannel } from "./IDeviceChannel";
export interface IChannelsGroupsService extends IDIService {
    WaitForSynchronizationAsync(): Promise<void>;
    RemoveGroupAsync(group: IChannelsGroup): Promise<Status>;
    GetGroupByGuid(guid: string): IChannelsGroup | null;
    GetGroupsAsync(): Promise<IChannelsGroup[]>;
    AddDeviceChannelToGroupAsync(channel: IDeviceChannel, group: IChannelsGroup): Promise<Status>;
    RemoveDeviceChannelFromGroupAsync(channel: IDeviceChannel, group: IChannelsGroup): Promise<Status>;
    AddNewGroupAsync(group: IChannelsGroup): Promise<Status>;
    ChangeGroupNameAsync(group: IChannelsGroup, name: string): Promise<FieldChangeResult>;
}
export interface IChannelsGroup {
    get Guid(): string;
    get Name(): string;
    ChangeNameAsync(name: string): Promise<FieldChangeResult>;
}
export declare class ChannelsGroup implements IChannelsGroup {
    private _guid;
    private _name;
    get Guid(): string;
    set Guid(value: string);
    get Name(): string;
    set Name(value: string);
    ChangeNameAsync(name: string): Promise<FieldChangeResult>;
}
